API ReferenceMerchant API
List payouts for the authenticated merchant.
Returns a paginated list of payouts scoped to the API key's environment.
X-API-Key<token>
API key issued by the merchant dashboard. The key's environment (live/test) determines which data the caller can access. Permissions on the key control which endpoints are reachable.
In: header
Query Parameters
status?string
Filter by status.
Length
length <= 255limit?integer
Maximum number of items to return (default 20, max 100).
Default
20Range
1 <= value <= 100offset?integer
Number of items to skip.
Default
0Range
0 <= valueResponse Body
fetch("https://api.halfin.xyz/api/v1/payouts?status=string&limit=20&offset=0", { method: "GET"}){
"data": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"currency": "string",
"network": "string",
"amount": "string",
"amount_in_base_currency": "string",
"network_fee": "string",
"fee_amount": "string",
"destination": "string",
"destination_tag": "string",
"status": "pending_approval",
"environment": "live",
"tx_hash": "string",
"idempotency_key": "string",
"description": "string",
"executable_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z"
}
],
"meta": {
"request_id": "string",
"pagination": {
"total": 0,
"limit": 0,
"offset": 0,
"has_more": true
}
}
}{
"error": {
"code": "string",
"message": "string",
"details": [
"string"
]
},
"meta": {
"request_id": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": [
"string"
]
},
"meta": {
"request_id": "string"
}
}{
"error": {
"code": "string",
"message": "string",
"details": [
"string"
]
},
"meta": {
"request_id": "string"
}
}